import request from '@/utils/request'

// 查询看课评论列表
export function listCourseWatchComment(query) {
  return request({
    url: '/course/courseWatchComment/list',
    method: 'get',
    params: query
  })
}

// // 查询看课评论详细
// export function getCourseWatchComment(commentId) {
//   return request({
//     url: '/course/courseWatchComment/' + commentId,
//     method: 'get'
//   })
// }

// // 新增看课评论
// export function addCourseWatchComment(data) {
//   return request({
//     url: '/course/courseWatchComment',
//     method: 'post',
//     data: data
//   })
// }
//
// // 修改看课评论
// export function updateCourseWatchComment(data) {
//   return request({
//     url: '/course/courseWatchComment',
//     method: 'put',
//     data: data
//   })
// }
//

// 修改弹幕状态
export function updateBarrageStatus(data) {
  return request({
    url: '/course/courseWatchComment/updateBarrageStatus',
    method: 'put',
    data: data
  })
}
// 删除看课评论
export function delCourseWatchComment(commentId) {
  return request({
    url: '/course/courseWatchComment/' + commentId,
    method: 'delete'
  })
}

// 导出看课评论
export function exportCourseWatchComment(query) {
  return request({
    url: '/course/courseWatchComment/export',
    method: 'get',
    params: query
  })
}

// 手动拉黑外部联系人
export function addBlack(query) {
  return request({
    url: '/course/courseWatchComment/addBlack',
    method: 'put',
    params: query
  })
}

// 解除拉黑外部联系人
export function clearBlack(query) {
  return request({
    url: '/course/courseWatchComment/clearBlack',
    method: 'put',
    params: query
  })
}
